Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## juzu.request
Class RequestContext

    java.lang.Object
      juzu.request.RequestContext

    public class RequestContext

extends Object

Author:
  Julien Viet

Constructor Summary
`RequestContext(juzu.impl.request.Request request, juzu.impl.request.ControllerHandler handler)`

Method Summary
`Phase.Action.Dispatch` | `createActionDispatch(juzu.impl.request.ControllerHandler<Phase.Action> handler)`
`Phase.Action.Dispatch` | `createActionDispatch(juzu.impl.request.ControllerHandler<Phase.Action> handler, Object arg)`
`Phase.Action.Dispatch` | `createActionDispatch(juzu.impl.request.ControllerHandler<Phase.Action> handler, Object[] args)`
`Dispatch` | `createDispatch(juzu.impl.request.ControllerHandler<?> handler)` Create a dispatch object with unset parameters.
`Phase.Resource.Dispatch` | `createResourceDispatch(juzu.impl.request.ControllerHandler<Phase.Resource> handler)`
`Phase.Resource.Dispatch` | `createResourceDispatch(juzu.impl.request.ControllerHandler<Phase.Resource> handler, Object arg)`
`Phase.Resource.Dispatch` | `createResourceDispatch(juzu.impl.request.ControllerHandler<Phase.Resource> handler, Object[] args)`
`Phase.View.Dispatch` | `createViewDispatch(juzu.impl.request.ControllerHandler<Phase.View> handler)`
`Phase.View.Dispatch` | `createViewDispatch(juzu.impl.request.ControllerHandler<Phase.View> handler, Object arg)`
`Phase.View.Dispatch` | `createViewDispatch(juzu.impl.request.ControllerHandler<Phase.View> handler, Object[] args)`
`ApplicationContext` | `getApplicationContext()`
`ClientContext` | `getClientContext()`
`Executor` | `getExecutor()` Provide an `Executor` the specified modes.
`juzu.impl.request.ControllerHandler` | `getHandler()`
`HttpContext` | `getHttpContext()`
`Map<String,RequestParameter>` | `getParameters()`
`Phase` | `getPhase()`
`
`<T> T`
` | `getProperty(PropertyType<T> propertyType)`
`Response` | `getResponse()`
`SecurityContext` | `getSecurityContext()`
`UserContext` | `getUserContext()`
`void` | `setResponse(Response response)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequestContext

    public RequestContext(juzu.impl.request.Request request,
                          juzu.impl.request.ControllerHandler handler)

Method Detail

### getHandler

    public juzu.impl.request.ControllerHandler getHandler()

### getParameters

    public Map<String,RequestParameter> getParameters()

### getClientContext

    public ClientContext getClientContext()

### getHttpContext

    public HttpContext getHttpContext()

### getSecurityContext

    public SecurityContext getSecurityContext()

### getUserContext

    public UserContext getUserContext()

### getApplicationContext

    public ApplicationContext getApplicationContext()

### getProperty

    public <T> T getProperty(PropertyType<T> propertyType)

### getExecutor

    public final Executor getExecutor()

  Provide an `Executor` the specified modes.

### getPhase

    public final Phase getPhase()

### createDispatch

    public Dispatch createDispatch(juzu.impl.request.ControllerHandler<?> handler)

  Create a dispatch object with unset parameters.

  Parameters:
    `handler` - the method descriptor
  Returns:
    the corresponding dispatch object

### createActionDispatch

    public Phase.Action.Dispatch createActionDispatch(juzu.impl.request.ControllerHandler<Phase.Action> handler)

### createActionDispatch

    public Phase.Action.Dispatch createActionDispatch(juzu.impl.request.ControllerHandler<Phase.Action> handler,
                                                      Object arg)

### createActionDispatch

    public Phase.Action.Dispatch createActionDispatch(juzu.impl.request.ControllerHandler<Phase.Action> handler,
                                                      Object[] args)

### createViewDispatch

    public Phase.View.Dispatch createViewDispatch(juzu.impl.request.ControllerHandler<Phase.View> handler)

### createViewDispatch

    public Phase.View.Dispatch createViewDispatch(juzu.impl.request.ControllerHandler<Phase.View> handler,
                                                  Object arg)

### createViewDispatch

    public Phase.View.Dispatch createViewDispatch(juzu.impl.request.ControllerHandler<Phase.View> handler,
                                                  Object[] args)

### createResourceDispatch

    public Phase.Resource.Dispatch createResourceDispatch(juzu.impl.request.ControllerHandler<Phase.Resource> handler)

### createResourceDispatch

    public Phase.Resource.Dispatch createResourceDispatch(juzu.impl.request.ControllerHandler<Phase.Resource> handler,
                                                          Object arg)

### createResourceDispatch

    public Phase.Resource.Dispatch createResourceDispatch(juzu.impl.request.ControllerHandler<Phase.Resource> handler,
                                                          Object[] args)

### getResponse

    public Response getResponse()

### setResponse

    public void setResponse(Response response)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014 eXo Platform SAS. All rights reserved.